Subject: bug#12967: closed (close reports)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 09 Jan 2013 13:05:03 +0000

Your bug report

#12967: Texinfo compile failure on IRIX 6.5 (was: Re: failure on IRIX 6.5)

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12967: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: close reports
From: Stefano Lattarini <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 09 Jan 2013 14:03:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

References:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12967>
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12978>

The support for SGI compiler has been removed in the master version
of the depcomp script (see commit 'v1.13-11-g35da608'), so I'm closing
these bug reports.

Regards,
  Stefano

Subject: Texinfo compile failure on IRIX 6.5 (was: Re: failure on IRIX 6.5)
From: Stefano Lattarini <[email-masked]>
To: Patrice Dumas <[email-masked]>
Cc: Karl Berry <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 23 Nov 2012 09:20:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[+cc bug-automake]

Hi Patrice, Karl.

On 11/23/2012 03:17 AM, Patrice Dumas wrote:
> On Thu, Nov 22, 2012 at 05:52:50PM -0700, Karl Berry wrote:
>>     info do not compile on IRIX 6.5.  There is an error linked with the
>>     call of depcomp.
>>
What is the dependency style determined by configure?  You might
grep for the line "dependency style" in config.log to find out.

>>  It is as if when called with depcomp the C
>>     preprocessor is not correctly used.
>>
>> Is this on the Utah machine (golan)?  Is this with gcc or the system
>> compiler?
> 
> It is on the Utah machine with the system compiler, cc.  It works with
> gcc.
>
Is the failure still present if you run configure with the
"--disable-dependency-tracking" option?

>> If it fails with gcc, I think it's worth pursuing.  If it works with gcc
>> but fails with the system compiler, I think neither we nor the depcomp
>> (automake) maintainers need to care,
>
Actually, as long as we have support in depcomp, we care that it works.
Once there is consensus we should no longer care about a given depmode,
we should remove it from the depcomp script altogether, rather than
keeping it there half-broken.

>> although I know there are still some installations left.
>>
Has been IRIX discontinued?  I wasn't aware of that.  If it has, we
might indeed want to remove support from it from the depcomp script
(that can be done for Automake 1.14).

>> (A volunteer came forward recently to make the
>> binaries for TeX Live, and I'm guessing that same person might care
>> about Texinfo, aside from Nelson.)
> 
> You mean people should test and come up with patches?
> 

Thanks,
  Stefano